· Android Android Studio

Android Studioを1.0にバージョンアップしたら、Gradle DSL method not found: ‘runProguard()’って怒られた場合

  • このエントリーをはてなブックマークに追加

Android Studioがついに1.0になりましたね。ということでダウンロードして、起動したらgradleのバージョンを1.0.0にしろとかいろいろ怒られたんですが、そこらへんは自動で修正してくれたのに、下記のエラーは自動で修正してくれませんでしたのでメモ。

Error:(32, 0) Gradle DSL method not found: 'runProguard()'

対応はrunProguardminifyEnabledに変更します。

diff --git a/app/build.gradle b/app/build.gradle
index 351288d..08b53f8 100644
--- a/app/build.gradle
+++ b/app/build.gradle
@@ -29,7 +29,7 @@ android {
-            runProguard false
+            minifyEnabled false
             proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
         }
     }

詳しくは、Migrating Gradle Projects to version 1.0.0 – Android Tools Project Site に記載してあります。

  • このエントリーをはてなブックマークに追加
  • LinkedIn
  • Tumblr
  • Reddit
  • Google+
  • Pinterest
  • Pocket